import{s as ue,n as me,o as pe}from"../chunks/scheduler.9bc65507.js";import{S as ve,i as de,g as l,s as o,r as le,A as fe,h as i,f as t,c as r,j as T,u as ie,x as m,k as s,y as p,a as n,v as oe,d as re,t as se,w as he}from"../chunks/index.707bf1b6.js";import{I as ce}from"../chunks/IconCopyLink.d239c2d1.js";function ge(D){let h,A,c,v,X,f,O,k,G="XLM-V",H,u,d,$,g,B,C,Q="Overview",P,w,U=`XLM-V is multilingual language model with a one million token vocabulary trained on 2.5TB of data from Common Crawl (same as XLM-R).
It was introduced in the <a href="https://arxiv.org/abs/2301.10472" rel="nofollow">XLM-V: Overcoming the Vocabulary Bottleneck in Multilingual Masked Language Models</a>
paper by Davis Liang, Hila Gonen, Yuning Mao, Rui Hou, Naman Goyal, Marjan Ghazvininejad, Luke Zettlemoyer and Madian Khabsa.`,V,y,F="From the abstract of the XLM-V paper:",E,b,J=`<em>Large multilingual language models typically rely on a single vocabulary shared across 100+ languages.
As these models have increased in parameter count and depth, vocabulary size has remained largely unchanged.
This vocabulary bottleneck limits the representational capabilities of multilingual models like XLM-R.
In this paper, we introduce a new approach for scaling to very large multilingual vocabularies by
de-emphasizing token sharing between languages with little lexical overlap and assigning vocabulary capacity
to achieve sufficient coverage for each individual language. Tokenizations using our vocabulary are typically
more semantically meaningful and shorter compared to XLM-R. Leveraging this improved vocabulary, we train XLM-V,
a multilingual language model with a one million token vocabulary. XLM-V outperforms XLM-R on every task we
tested on ranging from natural language inference (XNLI), question answering (MLQA, XQuAD, TyDiQA), and
named entity recognition (WikiAnn) to low-resource tasks (Americas NLI, MasakhaNER).</em>`,N,L,K="Tips:",R,x,W=`<li>XLM-V is compatible with the XLM-RoBERTa model architecture, only model weights from <a href="https://github.com/facebookresearch/fairseq" rel="nofollow"><code>fairseq</code></a>
library had to be converted.</li> <li>The <code>XLMTokenizer</code> implementation is used to load the vocab and performs tokenization.</li>`,z,M,Y='A XLM-V (base size) model is available under the <a href="https://huggingface.co/facebook/xlm-v-base" rel="nofollow"><code>facebook/xlm-v-base</code></a> identifier.',S,_,Z=`This model was contributed by <a href="https://huggingface.co/stefan-it" rel="nofollow">stefan-it</a>, including detailed experiments with XLM-V on downstream tasks.
The experiments repository can be found <a href="https://github.com/stefan-it/xlm-v-experiments" rel="nofollow">here</a>.`,I;return f=new ce({}),g=new ce({}),{c(){h=l("meta"),A=o(),c=l("h1"),v=l("a"),X=l("span"),le(f.$$.fragment),O=o(),k=l("span"),k.textContent=G,H=o(),u=l("h2"),d=l("a"),$=l("span"),le(g.$$.fragment),B=o(),C=l("span"),C.textContent=Q,P=o(),w=l("p"),w.innerHTML=U,V=o(),y=l("p"),y.textContent=F,E=o(),b=l("p"),b.innerHTML=J,N=o(),L=l("p"),L.textContent=K,R=o(),x=l("ul"),x.innerHTML=W,z=o(),M=l("p"),M.innerHTML=Y,S=o(),_=l("p"),_.innerHTML=Z,this.h()},l(e){const a=fe("svelte-1phssyn",document.head);h=i(a,"META",{name:!0,content:!0}),a.forEach(t),A=r(e),c=i(e,"H1",{class:!0});var j=T(c);v=i(j,"A",{id:!0,class:!0,href:!0});var ee=T(v);X=i(ee,"SPAN",{});var te=T(X);ie(f.$$.fragment,te),te.forEach(t),ee.forEach(t),O=r(j),k=i(j,"SPAN",{"data-svelte-h":!0}),m(k)!=="svelte-w2deu3"&&(k.textContent=G),j.forEach(t),H=r(e),u=i(e,"H2",{class:!0});var q=T(u);d=i(q,"A",{id:!0,class:!0,href:!0});var ae=T(d);$=i(ae,"SPAN",{});var ne=T($);ie(g.$$.fragment,ne),ne.forEach(t),ae.forEach(t),B=r(q),C=i(q,"SPAN",{"data-svelte-h":!0}),m(C)!=="svelte-1jsw1pg"&&(C.textContent=Q),q.forEach(t),P=r(e),w=i(e,"P",{"data-svelte-h":!0}),m(w)!=="svelte-hcobiv"&&(w.innerHTML=U),V=r(e),y=i(e,"P",{"data-svelte-h":!0}),m(y)!=="svelte-rlu8sx"&&(y.textContent=F),E=r(e),b=i(e,"P",{"data-svelte-h":!0}),m(b)!=="svelte-pvh528"&&(b.innerHTML=J),N=r(e),L=i(e,"P",{"data-svelte-h":!0}),m(L)!=="svelte-axv494"&&(L.textContent=K),R=r(e),x=i(e,"UL",{"data-svelte-h":!0}),m(x)!=="svelte-h4j5w0"&&(x.innerHTML=W),z=r(e),M=i(e,"P",{"data-svelte-h":!0}),m(M)!=="svelte-1tzrs8"&&(M.innerHTML=Y),S=r(e),_=i(e,"P",{"data-svelte-h":!0}),m(_)!=="svelte-1g4cthl"&&(_.innerHTML=Z),this.h()},h(){s(h,"name","hf:doc:metadata"),s(h,"content",JSON.stringify(we)),s(v,"id","xlmv"),s(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(v,"href","#xlmv"),s(c,"class","relative group"),s(d,"id","overview"),s(d,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(d,"href","#overview"),s(u,"class","relative group")},m(e,a){p(document.head,h),n(e,A,a),n(e,c,a),p(c,v),p(v,X),oe(f,X,null),p(c,O),p(c,k),n(e,H,a),n(e,u,a),p(u,d),p(d,$),oe(g,$,null),p(u,B),p(u,C),n(e,P,a),n(e,w,a),n(e,V,a),n(e,y,a),n(e,E,a),n(e,b,a),n(e,N,a),n(e,L,a),n(e,R,a),n(e,x,a),n(e,z,a),n(e,M,a),n(e,S,a),n(e,_,a),I=!0},p:me,i(e){I||(re(f.$$.fragment,e),re(g.$$.fragment,e),I=!0)},o(e){se(f.$$.fragment,e),se(g.$$.fragment,e),I=!1},d(e){e&&(t(A),t(c),t(H),t(u),t(P),t(w),t(V),t(y),t(E),t(b),t(N),t(L),t(R),t(x),t(z),t(M),t(S),t(_)),t(h),he(f),he(g)}}}const we={local:"xlmv",sections:[{local:"overview",title:"Overview"}],title:"XLM-V"};function ye(D){return pe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Me extends ve{constructor(h){super(),de(this,h,ye,ge,ue,{})}}export{Me as component};
