import{s as nt,n as at,o as rt}from"../chunks/scheduler.36a0863c.js";import{S as ot,i as it,g as a,s as l,r as O,A as lt,h as r,f as t,c as d,j as s,u as j,x as c,k as i,y as g,a as o,v as q,d as $,t as Q,w as ee}from"../chunks/index.9c13489a.js";import{I as te}from"../chunks/IconCopyLink.ec74b340.js";function dt(Pe){let h,ne,p,y,V,w,we,W,ke="🤗 Transformers",ae,x,Ee="Machine Learning de última generación para PyTorch, TensorFlow y JAX.",re,M,_e="🤗 Transformers proporciona APIs para descargar y entrenar fácilmente modelos preentrenados de última generación. El uso de modelos  preentrenados puede reducir tus costos de cómputo, tu huella de carbono y ahorrarte tiempo al entrenar un modelo desde cero. Los modelos se pueden utilizar en diferentes modalidades, tales como:",oe,R,Be="<li>📝 Texto: clasificación de texto, extracción de información, respuesta a preguntas, resumir, traducción y generación de texto en más de 100 idiomas.</li> <li>🖼️ Imágenes: clasificación de imágenes, detección de objetos y segmentación.</li> <li>🗣️ Audio: reconocimiento de voz y clasificación de audio.</li> <li>🐙 Multimodal: respuesta a preguntas en tablas, reconocimiento óptico de caracteres, extracción de información de documentos escaneados, clasificación de videos y respuesta visual a preguntas.</li>",ie,C,Ge=`Nuestra biblioteca admite una integración perfecta entre tres de las bibliotecas de deep learning más populares: <a href="https://pytorch.org/" rel="nofollow">PyTorch</a>, <a href="https://www.tensorflow.org/" rel="nofollow">TensorFlow</a> y <a href="https://jax.readthedocs.io/en/latest/" rel="nofollow">JAX</a>. Entrena tu modelo con tres líneas de código en un framework y cárgalo para inferencia con otro.
Cada arquitectura de 🤗 Transformers se define en un módulo de Python independiente para que se puedan personalizar fácilmente para investigación y experimentos.`,le,u,T,Z,P,xe,J,Ne="Si estás buscando soporte personalizado del equipo de Hugging Face",de,f,De='<img alt="HuggingFace Expert Acceleration Program" src="https://huggingface.co/front/thumbnails/support.png" style="width: 100%; max-width: 600px; border: 1px solid #eee; border-radius: 4px; box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);"/>',ge,m,L,K,k,Me,Y,Fe="Contenidos",ce,E,Ie="La documentación está organizada en cuatro partes:",se,_,We="<li><strong>EMPEZAR</strong> contiene un recorrido rápido e instrucciones de instalación para comenzar a usar 🤗 Transformers.</li> <li><strong>TUTORIALES</strong> es un excelente lugar para comenzar. Esta sección te ayudará a obtener las habilidades básicas que necesitas para comenzar a usar 🤗 Transformers.</li> <li><strong>GUÍAS PRÁCTICAS</strong> te mostrará cómo lograr un objetivo específico, cómo hacer fine-tuning a un modelo preentrenado para el modelado de lenguaje o cómo crear un cabezal para un modelo personalizado.</li> <li><strong>GUÍAS CONCEPTUALES</strong> proporciona más discusión y explicación de los conceptos e ideas subyacentes detrás de los modelos, las tareas y la filosofía de diseño de 🤗 Transformers.</li>",he,B,Je="La biblioteca actualmente contiene implementaciones de JAX, PyTorch y TensorFlow, pesos de modelos preentrenados, scripts de uso y utilidades de conversión para los siguientes modelos.",pe,b,S,X,G,Re,z,Ye="Modelos compatibles",ue,N,ze='<li><strong><a href="model_doc/albert">ALBERT</a></strong> (de Google Research y el Instituto Tecnológico de Toyota en Chicago) publicado con el paper <a href="https://arxiv.org/abs/1909.11942" rel="nofollow">ALBERT: A Lite BERT for Self-supervised Learning of Language Representations</a>, por Zhenzhong Lan, Mingda Chen, Sebastian Goodman, Kevin Gimpel, Piyush Sharma, Radu Soricut.</li> <li><strong><a href="model_doc/align">ALIGN</a></strong> (de Google Research) publicado con el paper <a href="https://arxiv.org/abs/2102.05918" rel="nofollow">Scaling Up Visual and Vision-Language Representation Learning With Noisy Text Supervision</a> por Chao Jia, Yinfei Yang, Ye Xia, Yi-Ting Chen, Zarana Parekh, Hieu Pham, Quoc V. Le, Yunhsuan Sung, Zhen Li, Tom Duerig.</li> <li><strong><a href="model_doc/bart">BART</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">BART: Denoising Sequence-to-Sequence Pre-training for Natural Language Generation, Translation, and Comprehension</a> por Mike Lewis, Yinhan Liu, Naman Goyal, Marjan Ghazvininejad, Abdelrahman Mohamed, Omer Levy, Ves Stoyanov y Luke Zettlemoyer.</li> <li><strong><a href="model_doc/barthez">BARThez</a></strong> (de École polytechnique) publicado con el paper <a href="https://arxiv.org/abs/2010.12321" rel="nofollow">BARThez: a Skilled Pretrained French Sequence-to-Sequence Model</a> por Moussa Kamal Eddine, Antoine J.-P. Tixier, Michalis Vazirgiannis.</li> <li><strong><a href="model_doc/bartpho">BARTpho</a></strong> (de VinAI Research) publicado con el paper <a href="https://arxiv.org/abs/2109.09701" rel="nofollow">BARTpho: Pre-trained Sequence-to-Sequence Models for Vietnamese</a> por Nguyen Luong Tran, Duong Minh Le y Dat Quoc Nguyen.</li> <li><strong><a href="model_doc/beit">BEiT</a></strong> (de Microsoft) publicado con el paper <a href="https://arxiv.org/abs/2106.08254" rel="nofollow">BEiT: BERT Pre-Training of Image Transformers</a> por Hangbo Bao, Li Dong, Furu Wei.</li> <li><strong><a href="model_doc/bert">BERT</a></strong> (de Google) publicado con el paper <a href="https://arxiv.org/abs/1810.04805" rel="nofollow">BERT: Pre-training of Deep Bidirectional Transformers for Language Understanding</a> por Jacob Devlin, Ming-Wei Chang, Kenton Lee y Kristina Toutanova.</li> <li><strong><a href="model_doc/bertweet">BERTweet</a></strong> (de VinAI Research) publicado con el paper <a href="https://aclanthology.org/2020.emnlp-demos.2/" rel="nofollow">BERTweet: A pre-trained language model for English Tweets</a> por Dat Quoc Nguyen, Thanh Vu y Anh Tuan Nguyen.</li> <li><strong><a href="model_doc/bert-generation">BERT For Sequence Generation</a></strong> (de Google) publicado con el paper <a href="https://arxiv.org/abs/1907.12461" rel="nofollow">Leveraging Pre-trained Checkpoints for Sequence Generation Tasks</a> por Sascha Rothe, Shashi Narayan, Aliaksei Severyn.</li> <li><strong><a href="model_doc/big_bird">BigBird-RoBERTa</a></strong> (de Google Research) publicado con el paper <a href="https://arxiv.org/abs/2007.14062" rel="nofollow">Big Bird: Transformers for Longer Sequences</a> por Manzil Zaheer, Guru Guruganesh, Avinava Dubey, Joshua Ainslie, Chris Alberti, Santiago Ontanon, Philip Pham, Anirudh Ravula, Qifan Wang, Li Yang, Amr Ahmed.</li> <li><strong><a href="model_doc/bigbird_pegasus">BigBird-Pegasus</a></strong> (de Google Research) publicado con el paper <a href="https://arxiv.org/abs/2007.14062" rel="nofollow">Big Bird: Transformers for Longer Sequences</a> por Manzil Zaheer, Guru Guruganesh, Avinava Dubey, Joshua Ainslie, Chris Alberti, Santiago Ontanon, Philip Pham, Anirudh Ravula, Qifan Wang, Li Yang, Amr Ahmed.</li> <li><strong><a href="model_doc/blenderbot">Blenderbot</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/2004.13637" rel="nofollow">Recipes for building an open-domain chatbot</a> por Stephen Roller, Emily Dinan, Naman Goyal, Da Ju, Mary Williamson, Yinhan Liu, Jing Xu, Myle Ott, Kurt Shuster, Eric M. Smith, Y-Lan Boureau, Jason Weston.</li> <li><strong><a href="model_doc/blenderbot-small">BlenderbotSmall</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/2004.13637" rel="nofollow">Recipes for building an open-domain chatbot</a> por Stephen Roller, Emily Dinan, Naman Goyal, Da Ju, Mary Williamson, Yinhan Liu, Jing Xu, Myle Ott, Kurt Shuster, Eric M. Smith, Y-Lan Boureau, Jason Weston.</li> <li><strong><a href="model_doc/bort">BORT</a></strong> (de Alexa) publicado con el paper <a href="https://arxiv.org/abs/2010.10499" rel="nofollow">Optimal Subarchitecture Extraction For BERT</a> por Adrian de Wynter y Daniel J. Perry.</li> <li><strong><a href="model_doc/byt5">ByT5</a></strong> (de Google Research) publicado con el paper <a href="https://arxiv.org/abs/2105.13626" rel="nofollow">ByT5: Towards a token-free future with pre-trained byte-to-byte models</a> por Linting Xue, Aditya Barua, Noah Constant, Rami Al-Rfou, Sharan Narang, Mihir Kale, Adam Roberts, Colin Raffel.</li> <li><strong><a href="model_doc/camembert">CamemBERT</a></strong> (de Inria/Facebook/Sorbonne) publicado con el paper <a href="https://arxiv.org/abs/1911.03894" rel="nofollow">CamemBERT: a Tasty French Language Model</a> por Louis Martin<em>, Benjamin Muller</em>, Pedro Javier Ortiz Suárez*, Yoann Dupont, Laurent Romary, Éric Villemonte de la Clergerie, Djamé Seddah y Benoît Sagot.</li> <li><strong><a href="model_doc/canine">CANINE</a></strong> (de Google Research) publicado con el paper <a href="https://arxiv.org/abs/2103.06874" rel="nofollow">CANINE: Pre-training an Efficient Tokenization-Free Encoder for Language Representation</a> por Jonathan H. Clark, Dan Garrette, Iulia Turc, John Wieting.</li> <li><strong><a href="model_doc/convnext">ConvNeXT</a></strong> (de Facebook AI) publicado con el paper <a href="https://arxiv.org/abs/2201.03545" rel="nofollow">A ConvNet for the 2020s</a> por Zhuang Liu, Hanzi Mao, Chao-Yuan Wu, Christoph Feichtenhofer, Trevor Darrell, Saining Xie.</li> <li><strong><a href="model_doc/convnextv2">ConvNeXTV2</a></strong> (de Facebook AI) publicado con el paper <a href="https://arxiv.org/abs/2301.00808" rel="nofollow">ConvNeXt V2: Co-designing and Scaling ConvNets with Masked Autoencoders</a> por Sanghyun Woo, Shoubhik Debnath, Ronghang Hu, Xinlei Chen, Zhuang Liu, In So Kweon, Saining Xie.</li> <li><strong><a href="model_doc/clip">CLIP</a></strong> (de OpenAI) publicado con el paper <a href="https://arxiv.org/abs/2103.00020" rel="nofollow">Learning Transferable Visual Models From Natural Language Supervision</a> por Alec Radford, Jong Wook Kim, Chris Hallacy, Aditya Ramesh, Gabriel Goh, Sandhini Agarwal, Girish Sastry, Amanda Askell, Pamela Mishkin, Jack Clark, Gretchen Krueger, Ilya Sutskever.</li> <li><strong><a href="model_doc/convbert">ConvBERT</a></strong> (de YituTech) publicado con el paper <a href="https://arxiv.org/abs/2008.02496" rel="nofollow">ConvBERT: Improving BERT with Span-based Dynamic Convolution</a> por Zihang Jiang, Weihao Yu, Daquan Zhou, Yunpeng Chen, Jiashi Feng, Shuicheng Yan.</li> <li><strong><a href="model_doc/cpm">CPM</a></strong> (de Universidad de Tsinghua) publicado con el paper <a href="https://arxiv.org/abs/2012.00413" rel="nofollow">CPM: A Large-scale Generative Chinese Pre-trained Language Model</a> por Zhengyan Zhang, Xu Han, Hao Zhou, Pei Ke, Yuxian Gu, Deming Ye, Yujia Qin, Yusheng Su, Haozhe Ji, Jian Guan, Fanchao Qi, Xiaozhi Wang, Yanan Zheng, Guoyang Zeng, Huanqi Cao, Shengqi Chen, Daixuan Li, Zhenbo Sun, Zhiyuan Liu, Minlie Huang, Wentao Han, Jie Tang, Juanzi Li, Xiaoyan Zhu, Maosong Sun.</li> <li><strong><a href="model_doc/ctrl">CTRL</a></strong> (de Salesforce) publicado con el paper <a href="https://arxiv.org/abs/1909.05858" rel="nofollow">CTRL: A Conditional Transformer Language Model for Controllable Generation</a> por Nitish Shirish Keskar<em>, Bryan McCann</em>, Lav R. Varshney, Caiming Xiong y Richard Socher.</li> <li><strong><a href="model_doc/data2vec">Data2Vec</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/2202.03555" rel="nofollow">Data2Vec:  A General Framework for Self-supervised Learning in Speech, Vision and Language</a> por Alexei Baevski, Wei-Ning Hsu, Qiantong Xu, Arun Babu, Jiatao Gu, Michael Auli.</li> <li><strong><a href="model_doc/deberta">DeBERTa</a></strong> (de Microsoft) publicado con el paper <a href="https://arxiv.org/abs/2006.03654" rel="nofollow">DeBERTa: Decoding-enhanced BERT with Disentangled Attention</a> por Pengcheng He, Xiaodong Liu, Jianfeng Gao, Weizhu Chen.</li> <li><strong><a href="model_doc/deberta-v2">DeBERTa-v2</a></strong> (de Microsoft) publicado con el paper <a href="https://arxiv.org/abs/2006.03654" rel="nofollow">DeBERTa: Decoding-enhanced BERT with Disentangled Attention</a> por Pengcheng He, Xiaodong Liu, Jianfeng Gao, Weizhu Chen.</li> <li><strong><a href="model_doc/decision_transformer">Decision Transformer</a></strong> (de Berkeley/Facebook/Google) publicado con el paper <a href="https://arxiv.org/abs/2106.01345" rel="nofollow">Decision Transformer: Reinforcement Learning via Sequence Modeling</a> por Lili Chen, Kevin Lu, Aravind Rajeswaran, Kimin Lee, Aditya Grover, Michael Laskin, Pieter Abbeel, Aravind Srinivas, Igor Mordatch.</li> <li><strong><a href="model_doc/dit">DiT</a></strong> (de Microsoft Research) publicado con el paper <a href="https://arxiv.org/abs/2203.02378" rel="nofollow">DiT: Self-supervised Pre-training for Document Image Transformer</a> por Junlong Li, Yiheng Xu, Tengchao Lv, Lei Cui, Cha Zhang, Furu Wei.</li> <li><strong><a href="model_doc/deit">DeiT</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/2012.12877" rel="nofollow">Training data-efficient image transformers &amp; distillation through attention</a> por Hugo Touvron, Matthieu Cord, Matthijs Douze, Francisco Massa, Alexandre Sablayrolles, Hervé Jégou.</li> <li><strong><a href="model_doc/detr">DETR</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/2005.12872" rel="nofollow">End-to-End Object Detection with Transformers</a> por Nicolas Carion, Francisco Massa, Gabriel Synnaeve, Nicolas Usunier, Alexander Kirillov, Sergey Zagoruyko.</li> <li><strong><a href="model_doc/dialogpt">DialoGPT</a></strong> (de Microsoft Research) publicado con el paper <a href="https://arxiv.org/abs/1911.00536" rel="nofollow">DialoGPT: Large-Scale Generative Pre-training for Conversational Response Generation</a> por Yizhe Zhang, Siqi Sun, Michel Galley, Yen-Chun Chen, Chris Brockett, Xiang Gao, Jianfeng Gao, Jingjing Liu, Bill Dolan.</li> <li><strong><a href="model_doc/distilbert">DistilBERT</a></strong> (de HuggingFace), publicado junto con el paper <a href="https://arxiv.org/abs/1910.01108" rel="nofollow">DistilBERT, a distilled version of BERT: smaller, faster, cheaper and lighter</a> por Victor Sanh, Lysandre Debut y Thomas Wolf. Se ha aplicado el mismo método para comprimir GPT2 en <a href="https://github.com/huggingface/transformers/tree/main/examples/research_projects/distillation" rel="nofollow">DistilGPT2</a>, RoBERTa en <a href="https://github.com/huggingface/transformers/tree/main/examples/research_projects/distillation" rel="nofollow">DistilRoBERTa</a>, BERT multilingüe en <a href="https://github.com/huggingface/transformers/tree/main/examples/research_projects/distillation" rel="nofollow">DistilmBERT</a> y una versión alemana de DistilBERT.</li> <li><strong><a href="model_doc/dpr">DPR</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/2004.04906" rel="nofollow">Dense Passage Retrieval for Open-Domain Question Answering</a> por Vladimir Karpukhin, Barlas Oğuz, Sewon Min, Patrick Lewis, Ledell Wu, Sergey Edunov, Danqi Chen, y Wen-tau Yih.</li> <li><strong><a href="master/model_doc/dpt">DPT</a></strong> (de Intel Labs) publicado con el paper <a href="https://arxiv.org/abs/2103.13413" rel="nofollow">Vision Transformers for Dense Prediction</a> por René Ranftl, Alexey Bochkovskiy, Vladlen Koltun.</li> <li><strong><a href="model_doc/efficientnet">EfficientNet</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/1905.11946" rel="nofollow">EfficientNet: Rethinking Model Scaling for Convolutional Neural Networks</a>  by Mingxing Tan and Quoc V. Le.</li> <li><strong><a href="model_doc/encoder-decoder">EncoderDecoder</a></strong> (de Google Research) publicado con el paper <a href="https://arxiv.org/abs/1907.12461" rel="nofollow">Leveraging Pre-trained Checkpoints for Sequence Generation Tasks</a> por Sascha Rothe, Shashi Narayan, Aliaksei Severyn.</li> <li><strong><a href="model_doc/electra">ELECTRA</a></strong> (de Google Research/Universidad de Stanford) publicado con el paper <a href="https://arxiv.org/abs/2003.10555" rel="nofollow">ELECTRA: Pre-training text encoders as discriminators rather than generators</a> por Kevin Clark, Minh-Thang Luong, Quoc V. Le, Christopher D. Manning.</li> <li><strong><a href="model_doc/flaubert">FlauBERT</a></strong> (de CNRS) publicado con el paper <a href="https://arxiv.org/abs/1912.05372" rel="nofollow">FlauBERT: Unsupervised Language Model Pre-training for French</a> por Hang Le, Loïc Vial, Jibril Frej, Vincent Segonne, Maximin Coavoux, Benjamin Lecouteux, Alexandre Allauzen, Benoît Crabbé, Laurent Besacier, Didier Schwab.</li> <li><strong><a href="model_doc/fnet">FNet</a></strong> (de Google Research) publicado con el paper <a href="https://arxiv.org/abs/2105.03824" rel="nofollow">FNet: Mixing Tokens with Fourier Transforms</a> por James Lee-Thorp, Joshua Ainslie, Ilya Eckstein, Santiago Ontanon.</li> <li><strong><a href="model_doc/funnel">Funnel Transformer</a></strong> (de CMU/Google Brain) publicado con el paper <a href="https://arxiv.org/abs/2006.03236" rel="nofollow">Funnel-Transformer: Filtering out Sequential Redundancy for Efficient Language Processing</a> por Zihang Dai, Guokun Lai, Yiming Yang, Quoc V. Le.</li> <li><strong><a href="model_doc/glpn">GLPN</a></strong> (de KAIST) publicado con el paper <a href="https://arxiv.org/abs/2201.07436" rel="nofollow">Global-Local Path Networks for Monocular Depth Estimation with Vertical CutDepth</a> por Doyeon Kim, Woonghyun Ga, Pyungwhan Ahn, Donggyu Joo, Sehwan Chun, Junmo Kim.</li> <li><strong><a href="model_doc/openai-gpt">GPT</a></strong> (de OpenAI) publicado con el paper <a href="https://blog.openai.com/language-unsupervised/" rel="nofollow">Improving Language Understanding by Generative Pre-Training</a> por Alec Radford, Karthik Narasimhan, Tim Salimans y Ilya Sutskever.</li> <li><strong><a href="model_doc/gpt2">GPT-2</a></strong> (de OpenAI) publicado con el paper <a href="https://blog.openai.com/better-language-models/" rel="nofollow">Language Models are Unsupervised Multitask Learners</a> por Alec Radford<em>, Jeffrey Wu</em>, Rewon Child, David Luan, Dario Amodei<strong>y Ilya Sutskever</strong>.</li> <li><strong><a href="model_doc/gptj">GPT-J</a></strong> (de EleutherAI) publicado con el repositorio <a href="https://github.com/kingoflolz/mesh-transformer-jax/" rel="nofollow">kingoflolz/mesh-transformer-jax</a> por Ben Wang y Aran Komatsuzaki.</li> <li><strong><a href="model_doc/gpt_neo">GPT Neo</a></strong> (de EleutherAI) publicado en el paper <a href="https://github.com/EleutherAI/gpt-neo" rel="nofollow">EleutherAI/gpt-neo</a> por Sid Black, Stella Biderman, Leo Gao, Phil Wang y Connor Leahy.</li> <li><strong><a href="model_doc/gptsan-japanese">GPTSAN-japanese</a></strong> released with <a href="https://github.com/tanreinama/GPTSAN" rel="nofollow">GPTSAN</a> by Toshiyuki Sakamoto (tanreinama).</li> <li><strong><a href="model_doc/hubert">Hubert</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/2106.07447" rel="nofollow">HuBERT: Self-Supervised Speech Representation Learning por Masked Prediction of Hidden Units</a> por Wei-Ning Hsu, Benjamin Bolte, Yao-Hung Hubert Tsai, Kushal Lakhotia, Ruslan Salakhutdinov, Abdelrahman Mohamed.</li> <li><strong><a href="model_doc/ibert">I-BERT</a></strong> (de Berkeley) publicado con el paper <a href="https://arxiv.org/abs/2101.01321" rel="nofollow">I-BERT: Integer-only BERT Quantization</a> por Sehoon Kim, Amir Gholami, Zhewei Yao, Michael W. Mahoney, Kurt Keutzer.</li> <li><strong><a href="model_doc/imagegpt">ImageGPT</a></strong> (de OpenAI) publicado con el paper <a href="https://openai.com/blog/image-gpt/" rel="nofollow">Generative Pretraining from Pixels</a> por Mark Chen, Alec Radford, Rewon Child, Jeffrey Wu, Heewoo Jun, David Luan, Ilya Sutskever.</li> <li><strong><a href="model_doc/layoutlm">LayoutLM</a></strong> (de Microsoft Research Asia) publicado con el paper <a href="https://arxiv.org/abs/1912.13318" rel="nofollow">LayoutLM: Pre-training of Text and Layout for Document Image Understanding</a> por Yiheng Xu, Minghao Li, Lei Cui, Shaohan Huang, Furu Wei, Ming Zhou.</li> <li><strong><a href="model_doc/layoutlmv2">LayoutLMv2</a></strong> (de Microsoft Research Asia) publicado con el paper <a href="https://arxiv.org/abs/2012.14740" rel="nofollow">LayoutLMv2: Multi-modal Pre-training for Visually-Rich Document Understanding</a> por Yang Xu, Yiheng Xu, Tengchao Lv, Lei Cui, Furu Wei, Guoxin Wang, Yijuan Lu, Dinei Florencio, Cha Zhang, Wanxiang Che, Min Zhang, Lidong Zhou.</li> <li><strong><a href="model_doc/layoutxlm">LayoutXLM</a></strong> (de Microsoft Research Asia) publicado con el paper <a href="https://arxiv.org/abs/2104.08836" rel="nofollow">LayoutXLM: Multimodal Pre-training for Multilingual Visually-rich Document Understanding</a> por Yiheng Xu, Tengchao Lv, Lei Cui, Guoxin Wang, Yijuan Lu, Dinei Florencio, Cha Zhang, Furu Wei.</li> <li><strong><a href="model_doc/led">LED</a></strong> (de AllenAI) publicado con el paper <a href="https://arxiv.org/abs/2004.05150" rel="nofollow">Longformer: The Long-Document Transformer</a> por Iz Beltagy, Matthew E. Peters, Arman Cohan.</li> <li><strong><a href="model_doc/longformer">Longformer</a></strong> (de AllenAI) publicado con el paper <a href="https://arxiv.org/abs/2004.05150" rel="nofollow">Longformer: The Long-Document Transformer</a> por Iz Beltagy, Matthew E. Peters, Arman Cohan.</li> <li><strong><a href="model_doc/luke">LUKE</a></strong> (de Studio Ousia) publicado con el paper <a href="https://arxiv.org/abs/2010.01057" rel="nofollow">LUKE: Deep Contextualized Entity Representations with Entity-aware Self-attention</a> por Ikuya Yamada, Akari Asai, Hiroyuki Shindo, Hideaki Takeda, Yuji Matsumoto.</li> <li><strong><a href="model_doc/mluke">mLUKE</a></strong> (de Studio Ousia) publicado con el paper <a href="https://arxiv.org/abs/2110.08151" rel="nofollow">mLUKE: The Power of Entity Representations in Multilingual Pretrained Language Models</a> por Ryokan Ri, Ikuya Yamada, y Yoshimasa Tsuruoka.</li> <li><strong><a href="model_doc/lxmert">LXMERT</a></strong> (de UNC Chapel Hill) publicado con el paper <a href="https://arxiv.org/abs/1908.07490" rel="nofollow">LXMERT: Learning Cross-Modality Encoder Representations from Transformers for Open-Domain Question Answering</a> por Hao Tan y Mohit Bansal.</li> <li><strong><a href="model_doc/m2m_100">M2M100</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/2010.11125" rel="nofollow">Beyond English-Centric Multilingual Machine Translation</a> por Angela Fan, Shruti Bhosale, Holger Schwenk, Zhiyi Ma, Ahmed El-Kishky, Siddharth Goyal, Mandeep Baines, Onur Celebi, Guillaume Wenzek, Vishrav Chaudhary, Naman Goyal, Tom Birch, Vitaliy Liptchinsky, Sergey Edunov, Edouard Grave, Michael Auli, Armand Joulin.</li> <li><strong><a href="model_doc/marian">MarianMT</a></strong> Modelos de traducción automática entrenados usando <a href="http://opus.nlpl.eu/" rel="nofollow">OPUS</a> data por Jörg Tiedemann. El <a href="https://marian-nmt.github.io/" rel="nofollow">Marian Framework</a> está siendo desarrollado por el equipo de traductores de Microsoft.</li> <li><strong><a href="model_doc/mask2former">Mask2Former</a></strong> (de FAIR y UIUC) publicado con el paper <a href="https://arxiv.org/abs/2112.01527" rel="nofollow">Masked-attention Mask Transformer for Universal Image Segmentation</a> por Bowen Cheng, Ishan Misra, Alexander G. Schwing, Alexander Kirillov, Rohit Girdhar.</li> <li><strong><a href="model_doc/maskformer">MaskFormer</a></strong> (de Meta y UIUC) publicado con el paper <a href="https://arxiv.org/abs/2107.06278" rel="nofollow">Per-Pixel Classification is Not All You Need for Semantic Segmentation</a> por Bowen Cheng, Alexander G. Schwing, Alexander Kirillov.</li> <li><strong><a href="model_doc/mbart">MBart</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/2001.08210" rel="nofollow">Multilingual Denoising Pre-training for Neural Machine Translation</a> por Yinhan Liu, Jiatao Gu, Naman Goyal, Xian Li, Sergey Edunov, Marjan Ghazvininejad, Mike Lewis, Luke Zettlemoyer.</li> <li><strong><a href="model_doc/mbart">MBart-50</a></strong> (de Facebook) publicado con el paper <a href="https://arxiv.org/abs/2008.00401" rel="nofollow">Multilingual Translation with Extensible Multilingual Pretraining and Finetuning</a> por Yuqing Tang, Chau Tran, Xian Li, Peng-Jen Chen, Naman Goyal, Vishrav Chaudhary, Jiatao Gu, Angela Fan.</li> <li><strong><a href="model_doc/megatron-bert">Megatron-BERT</a></strong> (de NVIDIA) publicado con el paper <a href="https://arxiv.org/abs/1909.08053" rel="nofollow">Megatron-LM: Training Multi-Billion Parameter Language Models Using Model Parallelism</a> por Mohammad Shoeybi, Mostofa Patwary, Raul Puri, Patrick LeGresley, Jared Casper y Bryan Catanzaro.</li> <li><strong><a href="model_doc/megatron_gpt2">Megatron-GPT2</a></strong> (de NVIDIA) publicado con el paper <a href="https://arxiv.org/abs/1909.08053" rel="nofollow">Megatron-LM: Training Multi-Billion Parameter Language Models Using Model Parallelism</a> por Mohammad Shoeybi, Mostofa Patwary, Raul Puri, Patrick LeGresley, Jared Casper y Bryan Catanzaro.</li> <li><strong><a href="model_doc/mpnet">MPNet</a></strong> (de Microsoft Research) publicado con el paper <a href="https://arxiv.org/abs/2004.09297" rel="nofollow">MPNet: Masked and Permuted Pre-training for Language Understanding</a> por Kaitao Song, Xu Tan, Tao Qin, Jianfeng Lu, Tie-Yan Liu.</li> <li><strong><a href="model_doc/mt5">MT5</a></strong> (de Google AI) publicado con el paper <a href="https://arxiv.org/abs/2010.11934" rel="nofollow">mT5: A massively multilingual pre-trained text-to-text transformer</a> por Linting Xue, Noah Constant, Adam Roberts, Mihir Kale, Rami Al-Rfou, Aditya Siddhant, Aditya Barua, Colin Raffel.</li> <li><strong><a href="model_doc/nystromformer">Nyströmformer</a></strong> (de la Universidad de Wisconsin - Madison) publicado con el paper <a href="https://arxiv.org/abs/2102.03902" rel="nofollow">Nyströmformer: A Nyström-Based Algorithm for Approximating Self-Attention</a> por Yunyang Xiong, Zhanpeng Zeng, Rudrasis Chakraborty, Mingxing Tan, Glenn Fung, Yin Li, Vikas Singh.</li> <li><strong><a href="model_doc/oneformer">OneFormer</a></strong> (de la SHI Labs) publicado con el paper <a href="https://arxiv.org/abs/2211.06220" rel="nofollow">OneFormer: One Transformer to Rule Universal Image Segmentation</a> por Jitesh Jain, Jiachen Li, MangTik Chiu, Ali Hassani, Nikita Orlov, Humphrey Shi.</li> <li><strong><a href="model_doc/pegasus">Pegasus</a></strong> (de Google) publicado con el paper <a href="https://arxiv.org/abs/1912.08777" rel="nofollow">PEGASUS: Pre-training with Extracted Gap-sentences for Abstractive Summarization</a> por Jingqing Zhang, Yao Zhao, Mohammad Saleh y Peter J. Liu.</li> <li><strong><a href="model_doc/perceiver">Perceiver IO</a></strong> (de Deepmind) publicado con el paper <a href="https://arxiv.org/abs/2107.14795" rel="nofollow">Perceiver IO: A General Architecture for Structured Inputs &amp; Outputs</a> por Andrew Jaegle, Sebastian Borgeaud, Jean-Baptiste Alayrac, Carl Doersch, Catalin Ionescu, David Ding, Skanda Koppula, Daniel Zoran, Andrew Brock, Evan Shelhamer, Olivier Hénaff, Matthew M. Botvinick, Andrew Zisserman, Oriol Vinyals, João Carreira.</li> <li><strong><a href="model_doc/phobert">PhoBERT</a></strong> (de VinAI Research) publicado con el paper <a href="https://www.aclweb.org/anthology/2020.findings-emnlp.92/" rel="nofollow">PhoBERT: Pre-trained language models for Vietnamese</a> por Dat Quoc Nguyen y Anh Tuan Nguyen.</li> <li><strong><a href="model_doc/plbart">PLBart</a></strong> (de UCLA NLP) publicado con el paper <a href="https://arxiv.org/abs/2103.06333" rel="nofollow">Unified Pre-training for Program Understanding and Generation</a> por Wasi Uddin Ahmad, Saikat Chakraborty, Baishakhi Ray, Kai-Wei Chang.</li> <li><strong><a href="model_doc/poolformer">PoolFormer</a></strong> (de Sea AI Labs) publicado con el paper <a href="https://arxiv.org/abs/2111.11418" rel="nofollow">MetaFormer is Actually What You Need for Vision</a> por Yu, Weihao y Luo, Mi y Zhou, Pan y Si, Chenyang y Zhou, Yichen y Wang, Xinchao y Feng, Jiashi y Yan, Shuicheng.</li> <li><strong><a href="model_doc/prophetnet">ProphetNet</a></strong> (de Microsoft Research) publicado con el paper <a href="https://arxiv.org/abs/2001.04063" rel="nofollow">ProphetNet: Predicting Future N-gram for Sequence-to-Sequence Pre-training</a> por Yu Yan, Weizhen Qi, Yeyun Gong, Dayiheng Liu, Nan Duan, Jiusheng Chen, Ruofei Zhang y Ming Zhou.</li> <li><strong><a href="model_doc/qdqbert">QDQBert</a></strong> (de NVIDIA) publicado con el paper <a href="https://arxiv.org/abs/2004.09602" rel="nofollow">Integer Quantization for Deep Learning Inference: Principles and Empirical Evaluation</a> por Hao Wu, Patrick Judd, Xiaojie Zhang, Mikhail Isaev y Paulius Micikevicius.</li> <li><strong><a href="model_doc/realm.html">REALM</a></strong> (de Google Research) publicado con el paper <a href="https://arxiv.org/abs/2002.08909" rel="nofollow">REALM: Retrieval-Augmented Language Model Pre-Training</a> por Kelvin Guu, Kenton Lee, Zora Tung, Panupong Pasupat y Ming-Wei Chang.</li> <li><strong><a href="model_doc/reformer">Reformer</a></strong> (de Google Research) publicado con el paper <a href="https://arxiv.org/abs/2001.04451" rel="nofollow">Reformer: The Efficient Transformer</a> por Nikita Kitaev, Łukasz Kaiser, Anselm Levskaya.</li> <li><strong><a href="model_doc/rembert">RemBERT</a></strong> (de Google Research) publicado con el paper <a href="https://arxiv.org/abs/2010.12821" rel="nofollow">Rethinking embedding coupling in pre-trained language models</a> por Hyung Won Chung, Thibault Févry, Henry Tsai, M. Johnson, Sebastian Ruder.</li> <li><strong><a href="model_doc/regnet">RegNet</a></strong> (de META Platforms) publicado con el paper <a href="https://arxiv.org/abs/2003.13678" rel="nofollow">Designing Network Design Space</a> por Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Dollár.</li> <li><strong><a href="model_doc/resnet">ResNet</a></strong> (de Microsoft Research) publicado con el paper <a href="https://arxiv.org/abs/1512.03385" rel="nofollow">Deep Residual Learning for Image Recognition</a> por Kaiming He, Xiangyu Zhang, Shaoqing Ren, Jian Sun.</li> <li><strong><a href="model_doc/roberta">RoBERTa</a></strong> (de Facebook), publicado junto con el paper <a href="https://arxiv.org/abs/1907.11692" rel="nofollow">RoBERTa: A Robustly Optimized BERT Pretraining Approach</a> por Yinhan Liu, Myle Ott, Naman Goyal, Jingfei Du, Mandar Joshi, Danqi Chen, Omer Levy, Mike Lewis, Luke Zettlemoyer, Veselin Stoyanov.</li> <li><strong><a href="model_doc/roformer">RoFormer</a></strong> (de ZhuiyiTechnology), publicado junto con el paper <a href="https://arxiv.org/abs/2104.09864" rel="nofollow">RoFormer: Enhanced Transformer with Rotary Position Embedding</a> por Jianlin Su y Yu Lu y Shengfeng Pan y Bo Wen y Yunfeng Liu.</li> <li><strong><a href="model_doc/segformer">SegFormer</a></strong> (de NVIDIA) publicado con el paper <a href="https://arxiv.org/abs/2105.15203" rel="nofollow">SegFormer: Simple and Efficient Design for Semantic Segmentation with Transformers</a> por Enze Xie, Wenhai Wang, Zhiding Yu, Anima Anandkumar, Jose M. Alvarez, Ping Luo.</li> <li><strong><a href="model_doc/sew">SEW</a></strong> (de ASAPP) publicado con el paper <a href="https://arxiv.org/abs/2109.06870" rel="nofollow">Performance-Efficiency Trade-offs in Unsupervised Pre-training for Speech Recognition</a> por Felix Wu, Kwangyoun Kim, Jing Pan, Kyu Han, Kilian Q. Weinberger, Yoav Artzi.</li> <li><strong><a href="model_doc/sew_d">SEW-D</a></strong> (de ASAPP) publicado con el paper <a href="https://arxiv.org/abs/2109.06870" rel="nofollow">Performance-Efficiency Trade-offs in Unsupervised Pre-training for Speech Recognition</a> por Felix Wu, Kwangyoun Kim, Jing Pan, Kyu Han, Kilian Q. Weinberger, Yoav Artzi.</li> <li><strong><a href="model_doc/speech_to_text">SpeechToTextTransformer</a></strong> (de Facebook), publicado junto con el paper <a href="https://arxiv.org/abs/2010.05171" rel="nofollow">fairseq S2T: Fast Speech-to-Text Modeling with fairseq</a> por Changhan Wang, Yun Tang, Xutai Ma, Anne Wu, Dmytro Okhonko, Juan Pino.</li> <li><strong><a href="model_doc/speech_to_text_2">SpeechToTextTransformer2</a></strong> (de Facebook), publicado junto con el paper <a href="https://arxiv.org/abs/2104.06678" rel="nofollow">Large-Scale Self- and Semi-Supervised Learning for Speech Translation</a> por Changhan Wang, Anne Wu, Juan Pino, Alexei Baevski, Michael Auli, Alexis Conneau.</li> <li><strong><a href="model_doc/splinter">Splinter</a></strong> (de Universidad de Tel Aviv), publicado junto con el paper <a href="https://arxiv.org/abs/2101.00438" rel="nofollow">Few-Shot Question Answering by Pretraining Span Selection</a> pory Ori Ram, Yuval Kirstain, Jonathan Berant, Amir Globerson, Omer Levy.</li> <li><strong><a href="model_doc/squeezebert">SqueezeBert</a></strong> (de Berkeley) publicado con el paper <a href="https://arxiv.org/abs/2006.11316" rel="nofollow">SqueezeBERT: What can computer vision teach NLP about efficient neural networks?</a> por Forrest N. Iandola, Albert E. Shaw, Ravi Krishna, y Kurt W. Keutzer.</li> <li><strong><a href="model_doc/swin">Swin Transformer</a></strong> (de Microsoft) publicado con el paper <a href="https://arxiv.org/abs/2103.14030" rel="nofollow">Swin Transformer: Hierarchical Vision Transformer using Shifted Windows</a> por Ze Liu, Yutong Lin, Yue Cao, Han Hu, Yixuan Wei, Zheng Zhang, Stephen Lin, Baining Guo.</li> <li><strong><a href="model_doc/t5">T5</a></strong> (de Google AI) publicado con el paper <a href="https://arxiv.org/abs/1910.10683" rel="nofollow">Exploring the Limits of Transfer Learning with a Unified Text-to-Text Transformer</a> por Colin Raffel y Noam Shazeer y Adam Roberts y Katherine Lee y Sharan Narang y Michael Matena y Yanqi Zhou y Wei Li y Peter J. Liu.</li> <li><strong><a href="model_doc/t5v1.1">T5v1.1</a></strong> (de Google AI) publicado en el repositorio <a href="https://github.com/google-research/text-to-text-transfer-transformer/blob/main/released_checkpoints.md#t511" rel="nofollow">google-research/text-to-text-transfer-transformer</a> por Colin Raffel y Noam Shazeer y Adam Roberts y Katherine Lee y Sharan Narang y Michael Matena y Yanqi Zhou y Wei Li y Peter J. Liu.</li> <li><strong><a href="model_doc/tapas">TAPAS</a></strong> (de Google AI) publicado con el paper <a href="https://arxiv.org/abs/2004.02349" rel="nofollow">TAPAS: Weakly Supervised Table Parsing via Pre-training</a> por Jonathan Herzig, Paweł Krzysztof Nowak, Thomas Müller, Francesco Piccinno y Julian Martin Eisenschlos.</li> <li><strong><a href="model_doc/tapex">TAPEX</a></strong> (de Microsoft Research) publicado con el paper <a href="https://arxiv.org/abs/2107.07653" rel="nofollow">TAPEX: Table Pre-training via Learning a Neural SQL Executor</a> por Qian Liu, Bei Chen, Jiaqi Guo, Morteza Ziyadi, Zeqi Lin, Weizhu Chen, Jian-Guang Lou.</li> <li><strong><a href="model_doc/transfo-xl">Transformer-XL</a></strong> (de Google/CMU) publicado con el paper <a href="https://arxiv.org/abs/1901.02860" rel="nofollow">Transformer-XL: Attentive Language Models Beyond a Fixed-Length Context</a> por Zihang Dai<em>, Zhilin Yang</em>, Yiming Yang, Jaime Carbonell, Quoc V. Le, Ruslan Salakhutdinov.</li> <li><strong><a href="model_doc/trocr">TrOCR</a></strong> (de Microsoft), publicado junto con el paper <a href="https://arxiv.org/abs/2109.10282" rel="nofollow">TrOCR: Transformer-based Optical Character Recognition with Pre-trained Models</a> por Minghao Li, Tengchao Lv, Lei Cui, Yijuan Lu, Dinei Florencio, Cha Zhang, Zhoujun Li, Furu Wei.</li> <li><strong><a href="model_doc/unispeech">UniSpeech</a></strong> (de Microsoft Research) publicado con el paper <a href="https://arxiv.org/abs/2101.07597" rel="nofollow">UniSpeech: Unified Speech Representation Learning with Labeled and Unlabeled Data</a> por Chengyi Wang, Yu Wu, Yao Qian, Kenichi Kumatani, Shujie Liu, Furu Wei, Michael Zeng, Xuedong Huang.</li> <li><strong><a href="model_doc/unispeech-sat">UniSpeechSat</a></strong> (de Microsoft Research) publicado con el paper <a href="https://arxiv.org/abs/2110.05752" rel="nofollow">UNISPEECH-SAT: UNIVERSAL SPEECH REPRESENTATION LEARNING WITH SPEAKER AWARE PRE-TRAINING</a> por Sanyuan Chen, Yu Wu, Chengyi Wang, Zhengyang Chen, Zhuo Chen, Shujie Liu, Jian Wu, Yao Qian, Furu Wei, Jinyu Li, Xiangzhan Yu.</li> <li><strong><a href="model_doc/van">VAN</a></strong> (de la Universidad de Tsinghua y la Universidad de Nankai) publicado con el paper <a href="https://arxiv.org/abs/2202.09741" rel="nofollow">Visual Attention Network</a> por Meng-Hao Guo, Cheng-Ze Lu, Zheng-Ning Liu, Ming-Ming Cheng, Shi-Min Hu.</li> <li><strong><a href="model_doc/vilt">ViLT</a></strong> (de NAVER AI Lab/Kakao Enterprise/Kakao Brain) publicado con el paper <a href="https://arxiv.org/abs/2102.03334" rel="nofollow">ViLT: Vision-and-Language Transformer Without Convolution or Region Supervision</a> por Wonjae Kim, Bokyung Son, Ildoo Kim.</li> <li><strong><a href="model_doc/vit">Vision Transformer (ViT)</a></strong> (de Google AI) publicado con el paper <a href="https://arxiv.org/abs/2010.11929" rel="nofollow">An Image is Worth 16x16 Words: Transformers for Image Recognition at Scale</a> por Alexey Dosovitskiy, Lucas Beyer, Alexander Kolesnikov, Dirk Weissenborn, Xiaohua Zhai, Thomas Unterthiner, Mostafa Dehghani, Matthias Minderer, Georg Heigold, Sylvain Gelly, Jakob Uszkoreit, Neil Houlsby.</li> <li><strong><a href="model_doc/vit_mae">ViTMAE</a></strong> (de Meta AI) publicado con el paper <a href="https://arxiv.org/abs/2111.06377" rel="nofollow">Masked Autoencoders Are Scalable Vision Learners</a> por Kaiming He, Xinlei Chen, Saining Xie, Yanghao Li, Piotr Dollár, Ross Girshick.</li> <li><strong><a href="model_doc/visual_bert">VisualBERT</a></strong> (de UCLA NLP) publicado con el paper <a href="https://arxiv.org/pdf/1908.03557" rel="nofollow">VisualBERT: A Simple and Performant Baseline for Vision and Language</a> por Liunian Harold Li, Mark Yatskar, Da Yin, Cho-Jui Hsieh, Kai-Wei Chang.</li> <li><strong><a href="model_doc/wavlm">WavLM</a></strong> (de Microsoft Research) publicado con el paper <a href="https://arxiv.org/abs/2110.13900" rel="nofollow">WavLM: Large-Scale Self-Supervised Pre-Training for Full Stack Speech Processing</a> por Sanyuan Chen, Chengyi Wang, Zhengyang Chen, Yu Wu, Shujie Liu, Zhuo Chen, Jinyu Li, Naoyuki Kanda, Takuya Yoshioka, Xiong Xiao, Jian Wu, Long Zhou, Shuo Ren, Yanmin Qian, Yao Qian, Jian Wu, Michael Zeng, Furu Wei.</li> <li><strong><a href="model_doc/wav2vec2">Wav2Vec2</a></strong> (de Facebook AI) publicado con el paper <a href="https://arxiv.org/abs/2006.11477" rel="nofollow">wav2vec 2.0: A Framework for Self-Supervised Learning of Speech Representations</a> por Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael Auli.</li> <li><strong><a href="model_doc/wav2vec2_phoneme">Wav2Vec2Phoneme</a></strong> (de Facebook AI) publicado con el paper <a href="https://arxiv.org/abs/2109.11680" rel="nofollow">Simple and Effective Zero-shot Cross-lingual Phoneme Recognition</a> por Qiantong Xu, Alexei Baevski, Michael Auli.</li> <li><strong><a href="model_doc/xglm">XGLM</a></strong> (de Facebook AI) publicado con el paper <a href="https://arxiv.org/abs/2112.10668" rel="nofollow">Few-shot Learning with Multilingual Language Models</a> por Xi Victoria Lin, Todor Mihaylov, Mikel Artetxe, Tianlu Wang, Shuohui Chen, Daniel Simig, Myle Ott, Naman Goyal, Shruti Bhosale, Jingfei Du, Ramakanth Pasunuru, Sam Shleifer, Punit Singh Koura, Vishrav Chaudhary, Brian O’Horo, Jeff Wang, Luke Zettlemoyer, Zornitsa Kozareva, Mona Diab, Veselin Stoyanov, Xian Li.</li> <li><strong><a href="model_doc/xlm">XLM</a></strong> (de Facebook) publicado junto con el paper <a href="https://arxiv.org/abs/1901.07291" rel="nofollow">Cross-lingual Language Model Pretraining</a> por Guillaume Lample y Alexis Conneau.</li> <li><strong><a href="model_doc/xlm-prophetnet">XLM-ProphetNet</a></strong> (de Microsoft Research) publicado con el paper <a href="https://arxiv.org/abs/2001.04063" rel="nofollow">ProphetNet: Predicting Future N-gram for Sequence-to-Sequence Pre-training</a> por Yu Yan, Weizhen Qi, Yeyun Gong, Dayiheng Liu, Nan Duan, Jiusheng Chen, Ruofei Zhang y Ming Zhou.</li> <li><strong><a href="model_doc/xlm-roberta">XLM-RoBERTa</a></strong> (de Facebook AI), publicado junto con el paper <a href="https://arxiv.org/abs/1911.02116" rel="nofollow">Unsupervised Cross-lingual Representation Learning at Scale</a> por Alexis Conneau<em>, Kartikay Khandelwal</em>, Naman Goyal, Vishrav Chaudhary, Guillaume Wenzek, Francisco Guzmán, Edouard Grave, Myle Ott, Luke Zettlemoyer y Veselin Stoyanov.</li> <li><strong><a href="model_doc/xlm-roberta-xl">XLM-RoBERTa-XL</a></strong> (de Facebook AI), publicado junto con el paper <a href="https://arxiv.org/abs/2105.00572" rel="nofollow">Larger-Scale Transformers for Multilingual Masked Language Modeling</a> por Naman Goyal, Jingfei Du, Myle Ott, Giri Anantharaman, Alexis Conneau.</li> <li><strong><a href="model_doc/xlnet">XLNet</a></strong> (de Google/CMU) publicado con el paper <a href="https://arxiv.org/abs/1906.08237" rel="nofollow">XLNet: Generalized Autoregressive Pretraining for Language Understanding</a> por Zhilin Yang<em>, Zihang Dai</em>, Yiming Yang, Jaime Carbonell, Ruslan Salakhutdinov, Quoc V. Le.</li> <li><strong><a href="model_doc/xlsr_wav2vec2">XLSR-Wav2Vec2</a></strong> (de Facebook AI) publicado con el paper <a href="https://arxiv.org/abs/2006.13979" rel="nofollow">Unsupervised Cross-Lingual Representation Learning For Speech Recognition</a> por Alexis Conneau, Alexei Baevski, Ronan Collobert, Abdelrahman Mohamed, Michael Auli.</li> <li><strong><a href="model_doc/xls_r">XLS-R</a></strong> (de Facebook AI) publicado con el paper <a href="https://arxiv.org/abs/2111.09296" rel="nofollow">XLS-R: Self-supervised Cross-lingual Speech Representation Learning at Scale</a> por Arun Babu, Changhan Wang, Andros Tjandra, Kushal Lakhotia, Qiantong Xu, Naman Goyal, Kritika Singh, Patrick von Platen, Yatharth Saraf, Juan Pino, Alexei Baevski, Alexis Conneau, Michael Auli.</li> <li><strong><a href="model_doc/yoso">YOSO</a></strong> (de la Universidad de Wisconsin-Madison) publicado con el paper <a href="https://arxiv.org/abs/2111.09714" rel="nofollow">You Only Sample (Almost) Once: Linear Cost Self-Attention Via Bernoulli Sampling</a> por Zhanpeng Zeng, Yunyang Xiong, Sathya N. Ravi, Shailesh Acharya, Glenn Fung, Vikas Singh.</li>',fe,v,A,U,D,Ce,H,He="Frameworks compatibles",me,F,Ve=`La siguiente tabla representa el soporte actual en la biblioteca para cada uno de esos modelos, ya sea que tengan un tokenizador de Python (llamado “slow”). Un tokenizador “fast” respaldado por la biblioteca 🤗 Tokenizers, ya sea que tengan soporte en Jax (a través de
Flax), PyTorch y/o TensorFlow.`,be,I,Ze='<thead><tr><th align="center">Modelo</th> <th align="center">Tokenizer slow</th> <th align="center">Tokenizer fast</th> <th align="center">PyTorch support</th> <th align="center">TensorFlow support</th> <th align="center">Flax Support</th></tr></thead> <tbody><tr><td align="center">ALBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">BART</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">BEiT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">BERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Bert Generation</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">BigBird</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">BigBirdPegasus</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Blenderbot</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">BlenderbotSmall</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">CamemBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Canine</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">CLIP</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">ConvBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">ConvNext</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">CTRL</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Data2VecAudio</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Data2VecText</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">DeBERTa</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">DeBERTa-v2</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Decision Transformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">DeiT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">DETR</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">DistilBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">DPR</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">DPT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ELECTRA</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Encoder decoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">FairSeq Machine-Translation</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">FlauBERT</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">FNet</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Funnel Transformer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">GLPN</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">GPT Neo</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">GPT-J</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Hubert</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">I-BERT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ImageGPT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LayoutLM</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">LayoutLMv2</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LED</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Longformer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">LUKE</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LXMERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">M2M100</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Marian</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">MaskFormer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">mBART</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">MegatronBert</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">MobileBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">MPNet</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">mT5</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Nystromformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">OpenAI GPT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">OpenAI GPT-2</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Pegasus</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Perceiver</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">PLBart</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">PoolFormer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ProphetNet</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">QDQBert</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">RAG</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Realm</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Reformer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">RegNet</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">RemBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">ResNet</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">RetriBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">RoBERTa</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">RoFormer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">SegFormer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">SEW</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">SEW-D</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Speech Encoder decoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">Speech2Text</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Speech2Text2</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Splinter</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">SqueezeBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Swin</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">T5</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">TAPAS</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">TAPEX</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Transformer-XL</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">TrOCR</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">UniSpeech</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">UniSpeechSat</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">VAN</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ViLT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Vision Encoder decoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">VisionTextDualEncoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">VisualBert</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">ViTMAE</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Wav2Vec2</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">WavLM</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">XGLM</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">XLM</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">XLM-RoBERTa</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">XLM-RoBERTa-XL</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">XLMProphetNet</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">XLNet</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">YOSO</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr></tbody>',ve;return w=new te({}),P=new te({}),k=new te({}),G=new te({}),D=new te({}),{c(){h=a("meta"),ne=l(),p=a("h1"),y=a("a"),V=a("span"),O(w.$$.fragment),we=l(),W=a("span"),W.textContent=ke,ae=l(),x=a("p"),x.textContent=Ee,re=l(),M=a("p"),M.textContent=_e,oe=l(),R=a("ul"),R.innerHTML=Be,ie=l(),C=a("p"),C.innerHTML=Ge,le=l(),u=a("h2"),T=a("a"),Z=a("span"),O(P.$$.fragment),xe=l(),J=a("span"),J.textContent=Ne,de=l(),f=a("a"),f.innerHTML=De,ge=l(),m=a("h2"),L=a("a"),K=a("span"),O(k.$$.fragment),Me=l(),Y=a("span"),Y.textContent=Fe,ce=l(),E=a("p"),E.textContent=Ie,se=l(),_=a("ul"),_.innerHTML=We,he=l(),B=a("p"),B.textContent=Je,pe=l(),b=a("h3"),S=a("a"),X=a("span"),O(G.$$.fragment),Re=l(),z=a("span"),z.textContent=Ye,ue=l(),N=a("ol"),N.innerHTML=ze,fe=l(),v=a("h3"),A=a("a"),U=a("span"),O(D.$$.fragment),Ce=l(),H=a("span"),H.textContent=He,me=l(),F=a("p"),F.textContent=Ve,be=l(),I=a("table"),I.innerHTML=Ze,this.h()},l(e){const n=lt("svelte-1phssyn",document.head);h=r(n,"META",{name:!0,content:!0}),n.forEach(t),ne=d(e),p=r(e,"H1",{class:!0});var ye=s(p);y=r(ye,"A",{id:!0,class:!0,href:!0});var Ke=s(y);V=r(Ke,"SPAN",{});var Xe=s(V);j(w.$$.fragment,Xe),Xe.forEach(t),Ke.forEach(t),we=d(ye),W=r(ye,"SPAN",{"data-svelte-h":!0}),c(W)!=="svelte-dl5awu"&&(W.textContent=ke),ye.forEach(t),ae=d(e),x=r(e,"P",{"data-svelte-h":!0}),c(x)!=="svelte-12ji68y"&&(x.textContent=Ee),re=d(e),M=r(e,"P",{"data-svelte-h":!0}),c(M)!=="svelte-1cg6l1"&&(M.textContent=_e),oe=d(e),R=r(e,"UL",{"data-svelte-h":!0}),c(R)!=="svelte-jorihw"&&(R.innerHTML=Be),ie=d(e),C=r(e,"P",{"data-svelte-h":!0}),c(C)!=="svelte-1womstf"&&(C.innerHTML=Ge),le=d(e),u=r(e,"H2",{class:!0});var Te=s(u);T=r(Te,"A",{id:!0,class:!0,href:!0});var Ue=s(T);Z=r(Ue,"SPAN",{});var Oe=s(Z);j(P.$$.fragment,Oe),Oe.forEach(t),Ue.forEach(t),xe=d(Te),J=r(Te,"SPAN",{"data-svelte-h":!0}),c(J)!=="svelte-i6bbfu"&&(J.textContent=Ne),Te.forEach(t),de=d(e),f=r(e,"A",{target:!0,href:!0,"data-svelte-h":!0}),c(f)!=="svelte-7vpe00"&&(f.innerHTML=De),ge=d(e),m=r(e,"H2",{class:!0});var Le=s(m);L=r(Le,"A",{id:!0,class:!0,href:!0});var je=s(L);K=r(je,"SPAN",{});var qe=s(K);j(k.$$.fragment,qe),qe.forEach(t),je.forEach(t),Me=d(Le),Y=r(Le,"SPAN",{"data-svelte-h":!0}),c(Y)!=="svelte-bd7011"&&(Y.textContent=Fe),Le.forEach(t),ce=d(e),E=r(e,"P",{"data-svelte-h":!0}),c(E)!=="svelte-1nyrlpl"&&(E.textContent=Ie),se=d(e),_=r(e,"UL",{"data-svelte-h":!0}),c(_)!=="svelte-1mfhdnj"&&(_.innerHTML=We),he=d(e),B=r(e,"P",{"data-svelte-h":!0}),c(B)!=="svelte-sso8qq"&&(B.textContent=Je),pe=d(e),b=r(e,"H3",{class:!0});var Se=s(b);S=r(Se,"A",{id:!0,class:!0,href:!0});var $e=s(S);X=r($e,"SPAN",{});var Qe=s(X);j(G.$$.fragment,Qe),Qe.forEach(t),$e.forEach(t),Re=d(Se),z=r(Se,"SPAN",{"data-svelte-h":!0}),c(z)!=="svelte-1lbm2m7"&&(z.textContent=Ye),Se.forEach(t),ue=d(e),N=r(e,"OL",{"data-svelte-h":!0}),c(N)!=="svelte-1s04eud"&&(N.innerHTML=ze),fe=d(e),v=r(e,"H3",{class:!0});var Ae=s(v);A=r(Ae,"A",{id:!0,class:!0,href:!0});var et=s(A);U=r(et,"SPAN",{});var tt=s(U);j(D.$$.fragment,tt),tt.forEach(t),et.forEach(t),Ce=d(Ae),H=r(Ae,"SPAN",{"data-svelte-h":!0}),c(H)!=="svelte-24vu2f"&&(H.textContent=He),Ae.forEach(t),me=d(e),F=r(e,"P",{"data-svelte-h":!0}),c(F)!=="svelte-ylzvc4"&&(F.textContent=Ve),be=d(e),I=r(e,"TABLE",{"data-svelte-h":!0}),c(I)!=="svelte-1wnuhnk"&&(I.innerHTML=Ze),this.h()},h(){i(h,"name","hf:doc:metadata"),i(h,"content",JSON.stringify(gt)),i(y,"id","transformers"),i(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(y,"href","#transformers"),i(p,"class","relative group"),i(T,"id","si-ests-buscando-soporte-personalizado-del-equipo-de-hugging-face"),i(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(T,"href","#si-ests-buscando-soporte-personalizado-del-equipo-de-hugging-face"),i(u,"class","relative group"),i(f,"target","_blank"),i(f,"href","https://huggingface.co/support"),i(L,"id","contenidos"),i(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(L,"href","#contenidos"),i(m,"class","relative group"),i(S,"id","modelos-compatibles"),i(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(S,"href","#modelos-compatibles"),i(b,"class","relative group"),i(A,"id","frameworks-compatibles"),i(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(A,"href","#frameworks-compatibles"),i(v,"class","relative group")},m(e,n){g(document.head,h),o(e,ne,n),o(e,p,n),g(p,y),g(y,V),q(w,V,null),g(p,we),g(p,W),o(e,ae,n),o(e,x,n),o(e,re,n),o(e,M,n),o(e,oe,n),o(e,R,n),o(e,ie,n),o(e,C,n),o(e,le,n),o(e,u,n),g(u,T),g(T,Z),q(P,Z,null),g(u,xe),g(u,J),o(e,de,n),o(e,f,n),o(e,ge,n),o(e,m,n),g(m,L),g(L,K),q(k,K,null),g(m,Me),g(m,Y),o(e,ce,n),o(e,E,n),o(e,se,n),o(e,_,n),o(e,he,n),o(e,B,n),o(e,pe,n),o(e,b,n),g(b,S),g(S,X),q(G,X,null),g(b,Re),g(b,z),o(e,ue,n),o(e,N,n),o(e,fe,n),o(e,v,n),g(v,A),g(A,U),q(D,U,null),g(v,Ce),g(v,H),o(e,me,n),o(e,F,n),o(e,be,n),o(e,I,n),ve=!0},p:at,i(e){ve||($(w.$$.fragment,e),$(P.$$.fragment,e),$(k.$$.fragment,e),$(G.$$.fragment,e),$(D.$$.fragment,e),ve=!0)},o(e){Q(w.$$.fragment,e),Q(P.$$.fragment,e),Q(k.$$.fragment,e),Q(G.$$.fragment,e),Q(D.$$.fragment,e),ve=!1},d(e){e&&(t(ne),t(p),t(ae),t(x),t(re),t(M),t(oe),t(R),t(ie),t(C),t(le),t(u),t(de),t(f),t(ge),t(m),t(ce),t(E),t(se),t(_),t(he),t(B),t(pe),t(b),t(ue),t(N),t(fe),t(v),t(me),t(F),t(be),t(I)),t(h),ee(w),ee(P),ee(k),ee(G),ee(D)}}}const gt={local:"transformers",sections:[{local:"si-ests-buscando-soporte-personalizado-del-equipo-de-hugging-face",title:"Si estás buscando soporte personalizado del equipo de Hugging Face"},{local:"contenidos",sections:[{local:"modelos-compatibles",title:"Modelos compatibles"},{local:"frameworks-compatibles",title:"Frameworks compatibles"}],title:"Contenidos"}],title:"🤗 Transformers"};function ct(Pe){return rt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ut extends ot{constructor(h){super(),it(this,h,ct,dt,nt,{})}}export{ut as component};
