import{s as ke,n as be,o as Ae}from"../chunks/scheduler.56730f09.js";import{S as Ee,i as Se,g as o,s,r as ye,A as Fe,h as a,f as t,c as i,j as S,u as Le,x as r,k as c,y as u,a as n,v as ge,d as Me,t as He,w as Pe}from"../chunks/index.1f144517.js";import{I as $e}from"../chunks/IconCopyLink.79d3861e.js";function Ue(le){let h,I,f,m,F,_,ee,A,ne="이념과 목표",N,x,oe="🤗 Transformers는 다음과 같은 목적으로 만들어진 독자적인 라이브러리입니다:",z,w,ae="<li>대규모 Transformers 모델을 사용하거나 연구하거나 확장하려는 기계 학습 연구원 및 교육자를 위한 것입니다.</li> <li>모델을 미세 조정하거나 제작용으로 사용하고자 하는 실전 개발자를 위한 것입니다.</li> <li>특정 기계 학습 작업을 해결하기 위해 사전훈련된 모델을 다운로드하고 사용하기만 하려는 엔지니어를 위한 것입니다.</li>",q,C,se="이 라이브러리는 두 가지 주요 목표를 가지고 설계되었습니다:",j,T,ie="<li>사용하기 쉽고 빠르게 만드는 것:</li>",K,y,re='<li>학습해야 할 사용자 대상 추상화의 수를 제한했습니다. 실제로 거의 추상화가 없으며, 각 모델을 사용하기 위해 필요한 세 가지 표준 클래스인 <a href="main_classes/configuration">configuration</a>, <a href="main_classes/model">models</a> 및 전처리 클래스인 (<a href="main_classes/tokenizer">tokenizer</a>는 NLP용, <a href="main_classes/image_processor">image processor</a>는 비전용, <a href="main_classes/feature_extractor">feature extractor</a>는 오디오용, <a href="main_classes/processors">processor</a>는 멀티모달 입력용)만 사용합니다.</li> <li>이러한 클래스는 공통적인 <code>from_pretrained()</code> 메서드를 사용하여 미리 훈련된 인스턴스에서 간단하고 통일된 방식으로 초기화할 수 있습니다. 이 메소드는 미리 훈련된 체크포인트에서 관련 클래스 인스턴스와 관련 데이터(구성의 하이퍼파라미터, 토크나이저의 어휘, 모델의 가중치)를 (필요한 경우) 다운로드하고 캐시하며 가져옵니다. 체크포인트는 <a href="https://huggingface.co/models" rel="nofollow">Hugging Face Hub</a>에서 제공되거나 사용자 자체의 저장된 체크포인트에서 제공됩니다.</li> <li>이 세 가지 기본 클래스 위에 라이브러리는 <code>pipeline()</code> API를 제공하여 주어진 작업에 대해 모델을 빠르게 추론하는 데 사용하고, <code>Trainer</code>를 제공하여 PyTorch 모델을 빠르게 훈련하거나 미세 조정할 수 있도록 합니다(모든 TensorFlow 모델은 <code>Keras.fit</code>과 호환됩니다).</li> <li>결과적으로, 이 라이브러리는 신경망을 구축하기 위한 모듈식 도구 상자가 아닙니다. 라이브러리를 확장하거나 구축하려면 일반적인 Python, PyTorch, TensorFlow, Keras 모듈을 사용하고 라이브러리의 기본 클래스를 상속하여 모델 로딩 및 저장과 같은 기능을 재사용하면 됩니다. 모델에 대한 코딩 철학에 대해 더 자세히 알고 싶다면 <a href="https://huggingface.co/blog/transformers-design-philosophy" rel="nofollow">Repeat Yourself</a> 블로그 글을 확인해보세요.</li>',O,d,ce="<li>원래 모델과 가능한 한 근접한 성능을 제공하는 최신 모델을 제공하는 것:</li>",J,L,he="<li>각 아키텍처에 대해 공식 저자가 제공한 결과를 재현하는 적어도 한 가지 예제를 제공합니다.</li> <li>코드는 원래 코드와 가능한 한 유사하게 유지되므로 PyTorch 코드는 TensorFlow 코드로 변환되어 <em>pytorchic</em>하지 않을 수 있고, 그 반대의 경우도 마찬가지입니다.</li>",R,g,fe="기타 목표 몇 가지:",X,M,pe="<li><p>모델의 내부를 가능한 일관되게 노출시키기:</p> <ul><li>전체 은닉 상태와 어텐션 가중치에 대한 액세스를 단일 API를 사용하여 제공합니다.</li> <li>전처리 클래스 및 기본 모델 API는 모델 간에 쉽게 전환할 수 있도록 표준화되어 있습니다.</li></ul></li> <li><p>미세 조정 및 모델 탐색을 위한 유망한 도구들을 주관적으로 선택하기:</p> <ul><li>미세 조정을 위해 어휘 및 임베딩에 새로운 토큰을 간단하고 일관된 방식으로 추가하는 방법을 제공합니다.</li> <li>Transformer 헤드를 마스킹하고 가지치기하는 간단한 방법을 제공합니다.</li></ul></li> <li><p>PyTorch, TensorFlow 2.0 및 Flax 간에 쉽게 전환할 수 있도록 하여 하나의 프레임워크로 훈련하고 다른 프레임워크로 추론할 수 있게 합니다.</p></li>",Y,p,v,U,H,te,E,ue="주요 개념",B,P,me="이 라이브러리는 각 모델에 대해 세 가지 유형의 클래스를 기반으로 구축되었습니다:",D,$,de='<li><strong>모델 클래스</strong>는 라이브러리에서 제공하는 사전 훈련된 가중치와 함께 작동하는 PyTorch 모델(<a href="https://pytorch.org/docs/stable/nn.html#torch.nn.Module" rel="nofollow">torch.nn.Module</a>), Keras 모델(<a href="https://www.tensorflow.org/api_docs/python/tf/keras/Model" rel="nofollow">tf.keras.Model</a>), JAX/Flax 모델(<a href="https://flax.readthedocs.io/en/latest/api_reference/flax.linen.html" rel="nofollow">flax.linen.Module</a>)일 수 있습니다.</li> <li><strong>구성 클래스</strong>는 모델을 구축하는 데 필요한 하이퍼파라미터(예: 레이어 수 및 은닉 크기)를 저장합니다. 구성 클래스를 직접 인스턴스화할 필요는 없습니다. 특히, 수정 없이 고 사전 학습된 모델을 사용하는 경우 모델을 생성하면 모델의 일부인 구성을 자동으로 인스턴스화됩니다.</li> <li><strong>전처리 클래스</strong>는 원시 데이터를 모델이 수용하는 형식으로 변환합니다. <a href="main_classes/tokenizer">Tokenizer</a>는 각 모델의 어휘를 저장하고, 문자열을 토큰 임베딩 인덱스 리스트로 인코딩하고 디코딩하기 위한 메소드를 제공합니다. <a href="main_classes/image_processor">Image processors</a>는 비전 입력을 전처리하고, <a href="main_classes/feature_extractor">feature extractors</a>는 오디오 입력을 전처리하며, <a href="main_classes/processors">processor</a>는 멀티모달 입력을 처리합니다.</li>',G,k,ve="모든 이러한 클래스는 사전 훈련된 인스턴스에서 인스턴스화하고 로컬로 저장하며, 세 가지 메소드를 사용하여 Hub에서 공유할 수 있습니다:",Q,b,_e='<li><code>from_pretrained()</code> 메소드를 사용하면 라이브러리 자체에서 제공하는 사전 훈련된 버전(지원되는 모델은 <a href="https://huggingface.co/models" rel="nofollow">Model Hub</a>에서 찾을 수 있음)이나 사용자가 로컬로 저장한 경우(또는 서버에 저장한 경우)의 모델, 구성 및 전처리 클래스를 인스턴스화할 수 있습니다.</li> <li><code>save_pretrained()</code> 메소드를 사용하면 모델, 구성 및 전처리 클래스를 로컬로 저장하여 <code>from_pretrained()</code>를 사용하여 다시 가져올 수 있습니다.</li> <li><code>push_to_hub()</code> 메소드를 사용하면 모델, 구성 및 전처리 클래스를 Hub에 공유하여 모두에게 쉽게 접근할 수 있습니다.</li>',V;return _=new $e({}),H=new $e({}),{c(){h=o("meta"),I=s(),f=o("h1"),m=o("a"),F=o("span"),ye(_.$$.fragment),ee=s(),A=o("span"),A.textContent=ne,N=s(),x=o("p"),x.textContent=oe,z=s(),w=o("ul"),w.innerHTML=ae,q=s(),C=o("p"),C.textContent=se,j=s(),T=o("ol"),T.innerHTML=ie,K=s(),y=o("ul"),y.innerHTML=re,O=s(),d=o("ol"),d.innerHTML=ce,J=s(),L=o("ul"),L.innerHTML=he,R=s(),g=o("p"),g.textContent=fe,X=s(),M=o("ul"),M.innerHTML=pe,Y=s(),p=o("h2"),v=o("a"),U=o("span"),ye(H.$$.fragment),te=s(),E=o("span"),E.textContent=ue,B=s(),P=o("p"),P.textContent=me,D=s(),$=o("ul"),$.innerHTML=de,G=s(),k=o("p"),k.textContent=ve,Q=s(),b=o("ul"),b.innerHTML=_e,this.h()},l(e){const l=Fe("svelte-1phssyn",document.head);h=a(l,"META",{name:!0,content:!0}),l.forEach(t),I=i(e),f=a(e,"H1",{class:!0});var W=S(f);m=a(W,"A",{id:!0,class:!0,href:!0});var xe=S(m);F=a(xe,"SPAN",{});var we=S(F);Le(_.$$.fragment,we),we.forEach(t),xe.forEach(t),ee=i(W),A=a(W,"SPAN",{"data-svelte-h":!0}),r(A)!=="svelte-1ddkmuc"&&(A.textContent=ne),W.forEach(t),N=i(e),x=a(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1f7nmur"&&(x.textContent=oe),z=i(e),w=a(e,"UL",{"data-svelte-h":!0}),r(w)!=="svelte-1yszd7n"&&(w.innerHTML=ae),q=i(e),C=a(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-9trlgi"&&(C.textContent=se),j=i(e),T=a(e,"OL",{"data-svelte-h":!0}),r(T)!=="svelte-dq04yw"&&(T.innerHTML=ie),K=i(e),y=a(e,"UL",{"data-svelte-h":!0}),r(y)!=="svelte-1v94o3c"&&(y.innerHTML=re),O=i(e),d=a(e,"OL",{start:!0,"data-svelte-h":!0}),r(d)!=="svelte-1g3xmxn"&&(d.innerHTML=ce),J=i(e),L=a(e,"UL",{"data-svelte-h":!0}),r(L)!=="svelte-sw04jb"&&(L.innerHTML=he),R=i(e),g=a(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1iw1iaa"&&(g.textContent=fe),X=i(e),M=a(e,"UL",{"data-svelte-h":!0}),r(M)!=="svelte-yeg31c"&&(M.innerHTML=pe),Y=i(e),p=a(e,"H2",{class:!0});var Z=S(p);v=a(Z,"A",{id:!0,class:!0,href:!0});var Ce=S(v);U=a(Ce,"SPAN",{});var Te=S(U);Le(H.$$.fragment,Te),Te.forEach(t),Ce.forEach(t),te=i(Z),E=a(Z,"SPAN",{"data-svelte-h":!0}),r(E)!=="svelte-b0s8h9"&&(E.textContent=ue),Z.forEach(t),B=i(e),P=a(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-n4fqn2"&&(P.textContent=me),D=i(e),$=a(e,"UL",{"data-svelte-h":!0}),r($)!=="svelte-dnwn8j"&&($.innerHTML=de),G=i(e),k=a(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-qhary9"&&(k.textContent=ve),Q=i(e),b=a(e,"UL",{"data-svelte-h":!0}),r(b)!=="svelte-10fnv0u"&&(b.innerHTML=_e),this.h()},h(){c(h,"name","hf:doc:metadata"),c(h,"content",JSON.stringify(Ie)),c(m,"id","philosophy"),c(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(m,"href","#philosophy"),c(f,"class","relative group"),c(d,"start","2"),c(v,"id","main-concepts"),c(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(v,"href","#main-concepts"),c(p,"class","relative group")},m(e,l){u(document.head,h),n(e,I,l),n(e,f,l),u(f,m),u(m,F),ge(_,F,null),u(f,ee),u(f,A),n(e,N,l),n(e,x,l),n(e,z,l),n(e,w,l),n(e,q,l),n(e,C,l),n(e,j,l),n(e,T,l),n(e,K,l),n(e,y,l),n(e,O,l),n(e,d,l),n(e,J,l),n(e,L,l),n(e,R,l),n(e,g,l),n(e,X,l),n(e,M,l),n(e,Y,l),n(e,p,l),u(p,v),u(v,U),ge(H,U,null),u(p,te),u(p,E),n(e,B,l),n(e,P,l),n(e,D,l),n(e,$,l),n(e,G,l),n(e,k,l),n(e,Q,l),n(e,b,l),V=!0},p:be,i(e){V||(Me(_.$$.fragment,e),Me(H.$$.fragment,e),V=!0)},o(e){He(_.$$.fragment,e),He(H.$$.fragment,e),V=!1},d(e){e&&(t(I),t(f),t(N),t(x),t(z),t(w),t(q),t(C),t(j),t(T),t(K),t(y),t(O),t(d),t(J),t(L),t(R),t(g),t(X),t(M),t(Y),t(p),t(B),t(P),t(D),t($),t(G),t(k),t(Q),t(b)),t(h),Pe(_),Pe(H)}}}const Ie={local:"philosophy",sections:[{local:"main-concepts",title:"주요 개념 "}],title:"이념과 목표 "};function Ne(le){return Ae(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ke extends Ee{constructor(h){super(),Se(this,h,Ne,Ue,ke,{})}}export{Ke as component};
